import 'package:flutter/material.dart';

import 'package:pweb/utils/text_field_styles.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class DescriptionField extends StatelessWidget {
  final TextEditingController controller;

  const DescriptionField({
    super.key,
    required this.controller,
  });

  @override
  Widget build(BuildContext context) {
    final l10n = AppLocalizations.of(context)!;
    return TextFormField(
      controller: controller,
      decoration: getInputDecoration(context, '${l10n.comment} (${l10n.optional})', true),
      style: getTextFieldStyle(context, true),
      minLines: 2,
      maxLines: 3,
    );
  }
}
